-- DROP TABLE FEDLOGDB.NMCRL_ORG_NAICS CASCADE CONSTRAINTS;

CREATE TABLE FEDLOGDB.NMCRL_ORG_NAICS
(
  NCAGE  VARCHAR2(5 BYTE)                       NOT NULL,
  NAICS  VARCHAR2(50 CHAR)                      NOT NULL
);


CREATE UNIQUE INDEX FEDLOGDB.P_NMCRL_ORG_NAICS ON FEDLOGDB.NMCRL_ORG_NAICS
(NCAGE, NAICS);

ALTER TABLE FEDLOGDB.NMCRL_ORG_NAICS ADD (
  CONSTRAINT P_NMCRL_ORG_NAICS
  PRIMARY KEY
  (NCAGE, NAICS)
  USING INDEX FEDLOGDB.P_NMCRL_ORG_NAICS
  ENABLE VALIDATE);


CREATE INDEX FEDLOGDB.I_NMCRL_ORG_NAICS_NCAGE ON FEDLOGDB.NMCRL_ORG_NAICS
(NCAGE);

ALTER TABLE FEDLOGDB.NMCRL_ORG_NAICS ADD (
  CONSTRAINT F_NMCRLORGNAICS_NMCRLORG 
  FOREIGN KEY (NCAGE) 
  REFERENCES FEDLOGDB.NMCRL_ORG (NCAGE)
  ENABLE VALIDATE);
